#!/bin/sh

name="openssl"
title="OpenSSL"
package="openssl"
version="0.9.7b"
build="1"
noarch="n"
build_info="Standard build."

info="The Open Source toolkit for SSL and TLS."
desc="The OpenSSL Project is a collaborative effort to develop a
robust, commercial-grade, fully featured, and Open Source
toolkit implementing the Secure Sockets Layer (SSL v2/v3)
and Transport Layer Security (TLS v1) as well as a
full-strength general-purpose cryptography library."
category="system/security"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="FAQ,INSTALL,LICENSE,NEWS,PROBLEMS,README*"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.openssl.org/source/$name-$version.tar.gz

apply_patch openssl-opts.diff 1
apply_patch openssl-soname.diff 1

install_option INSTALL_PREFIX=$pkg_main

parent_package="$package"
write_info main

cd $src1

./config --prefix=/usr --openssldir=/etc/ssl 386 shared
do_make
do_install

( cd $pkg_main ; mv etc/ssl/man usr )
( cd $pkg_main/usr/man/man1 ; mv passwd.1 ssl_passwd.1 )
( cd $pkg_main/usr/man/man3 ; mv rand.3 ssl_rand.3 )

make_docs

make_package main

clean_up

# $Log: openssl.builder,v $
# Revision 1.6  2003/04/12 10:09:45  swiergot
# - Build 1.
#
# Revision 1.5  2003/04/12 09:57:28  swiergot
# - Version 0.9.7b.
#
# Revision 1.4  2003/02/07 19:36:03  swiergot
# - Build 1.
#
# Revision 1.3  2003/01/21 13:57:51  swiergot
# - Move etc/ssl/man to usr.
# - Prevent original passwd.1 and rand.3 overwriting.
#
# Revision 1.2  2003/01/20 22:09:57  swiergot
# - Fixed the second patch name.
# - Replaced do_configure with explicit ./config call.
#
# Revision 1.1  2003/01/20 21:16:37  swiergot
# - Initial release.
# - Version 0.9.7.
#
